Loading...
Searching...
No Matches
etl::basic_format_spec< TString > Class Template Reference

basic_format_spec More...

`#include <basic_format_spec.h>`

## Public Member Functions

ETL_CONSTEXPR | basic_format_spec () ETL_NOEXCEPT
| Default constructor.
ETL_CONSTEXPR | basic_format_spec (uint_least8_t base__, uint_least8_t width__, uint_least8_t precision__, bool upper_case__, bool left_justified__, bool boolalpha__, bool show_base__, typename TString::value_type fill__, bool scientific__=false) ETL_NOEXCEPT
| Constructor.
ETL_CONSTEXPR14 void | clear () ETL_NOEXCEPT
| Clears the format spec back to default.
ETL_CONSTEXPR14 basic_format_spec & | base (uint32_t b) ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR14 basic_format_spec & | binary () ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR14 basic_format_spec & | octal () ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR14 basic_format_spec & | decimal () ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR14 basic_format_spec & | hex () ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR uint32_t | get_base () const ETL_NOEXCEPT
| Gets the base.
ETL_CONSTEXPR14 basic_format_spec & | show_base (bool b) ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR bool | is_show_base () const ETL_NOEXCEPT
| Gets the show base flag.
ETL_CONSTEXPR14 basic_format_spec & | width (uint32_t w) ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR uint32_t | get_width () const ETL_NOEXCEPT
| Gets the width.
ETL_CONSTEXPR14 basic_format_spec & | precision (uint32_t p) ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR uint32_t | get_precision () const ETL_NOEXCEPT
| Gets the precision.
ETL_CONSTEXPR14 basic_format_spec & | upper_case (bool u) ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR bool | is_upper_case () const ETL_NOEXCEPT
| Gets the upper case flag.
ETL_CONSTEXPR14 basic_format_spec & | fill (typename TString::value_type c) ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR TString::value_type | get_fill () const ETL_NOEXCEPT
| Gets the fill character.
ETL_CONSTEXPR14 basic_format_spec & | left () ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR bool | is_left () const ETL_NOEXCEPT
| Gets the left justify flag.
ETL_CONSTEXPR14 basic_format_spec & | right () ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR bool | is_right () const ETL_NOEXCEPT
| Gets the right justify flag.
ETL_CONSTEXPR14 basic_format_spec & | boolalpha (bool b) ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR bool | is_boolalpha () const ETL_NOEXCEPT
| Gets the boolalpha flag.
ETL_CONSTEXPR14 basic_format_spec & | scientific (bool b) ETL_LVALUE_REF_QUALIFIER ETL_NOEXCEPT
ETL_CONSTEXPR bool | is_scientific () const ETL_NOEXCEPT
| Gets the scientific flag.

## Friends

ETL_CONSTEXPR friend bool | operator== (const basic_format_spec &lhs, const basic_format_spec &rhs)
| Equality operator.
ETL_CONSTEXPR friend bool | operator!= (const basic_format_spec &lhs, const basic_format_spec &rhs)
| Inequality operator.

## Detailed Description

template<typename TString>
class etl::basic_format_spec< TString >

basic_format_spec

## Member Function Documentation

## base()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::base | ( | uint32_t | b | ) |

inline

Sets the base.

Returns
  A reference to the basic_format_spec.

## binary()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::binary | ( |  | ) |

inline

Sets the base to binary.

Returns
  A reference to the basic_format_spec.

## boolalpha()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::boolalpha | ( | bool | b | ) |

inline

Sets the bool alpha flag.

Returns
  A reference to the basic_format_spec.

## decimal()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::decimal | ( |  | ) |

inline

Sets the base to decimal.

Returns
  A reference to the basic_format_spec.

## fill()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::fill | ( | typename TString::value_type | c | ) |

inline

Sets the fill character.

Returns
  A reference to the basic_format_spec.

## hex()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::hex | ( |  | ) |

inline

Sets the base to hex.

Returns
  A reference to the basic_format_spec.

## left()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::left | ( |  | ) |

inline

Sets the left justify flag.

Returns
  A reference to the basic_format_spec.

## octal()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::octal | ( |  | ) |

inline

Sets the base to octal.

Returns
  A reference to the basic_format_spec.

## precision()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::precision | ( | uint32_t | p | ) |

inline

Sets the precision.

Returns
  A reference to the basic_format_spec.

## right()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::right | ( |  | ) |

inline

Sets the right justify flag.

Returns
  A reference to the basic_format_spec.

## scientific()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::scientific | ( | bool | b | ) |

inline

Sets the scientific flag.

Returns
  A reference to the basic_format_spec.

## show_base()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::show_base | ( | bool | b | ) |

inline

Sets the show base flag.

Returns
  A reference to the basic_format_spec.

## upper_case()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::upper_case | ( | bool | u | ) |

inline

Sets the upper case flag.

Returns
  A reference to the basic_format_spec.

## width()

template<typename TString>

ETL_CONSTEXPR14 basic_format_spec & etl::basic_format_spec< TString >::width | ( | uint32_t | w | ) |

inline

Sets the width.

Returns
  A reference to the basic_format_spec.

The documentation for this class was generated from the following file:

- include/etl/basic_format_spec.h